| Kea 3.0.2-git

isc::db::DbConnectionInitWithRetry Class Reference

RAII class to enable DB reconnect retries on server startup. More...

`#include <database_connection.h>`

## Public Member Functions
| DbConnectionInitWithRetry ()
| Constructor.
| ~DbConnectionInitWithRetry ()
| Destructor.

## Detailed Description

RAII class to enable DB reconnect retries on server startup.

Definition at line 336 of file database_connection.h.

## Constructor & Destructor Documentation

## ◆ DbConnectionInitWithRetry()

isc::db::DbConnectionInitWithRetry::DbConnectionInitWithRetry | ( |  | ) |
| inline

Constructor.

Enable DB reconnect retries on server startup.

Definition at line 341 of file database_connection.h.

References isc::db::DatabaseConnection::retry_.

## ◆ ~DbConnectionInitWithRetry()

isc::db::DbConnectionInitWithRetry::~DbConnectionInitWithRetry | ( |  | ) |
| inline

Destructor.

Disable DB reconnect retries.

Definition at line 348 of file database_connection.h.

References isc::db::DatabaseConnection::retry_.

The documentation for this class was generated from the following file:

- database_connection.h